document.addEventListener('DOMContentLoaded', () => {
  // Smooth scrolling for navigation links
  document.querySelectorAll('a[href^="#"]').forEach(anchor => {
    anchor.addEventListener('click', function (e) {
      e.preventDefault();
      document.querySelector(this.getAttribute('href')).scrollIntoView({
        behavior: 'smooth'
      });
    });
  });

  // Form submission handling
  const form = document.querySelector('.contact-form');
  if (form) {
    form.addEventListener('submit', (e) => {
      e.preventDefault();
      // Add form submission logic here
      alert('Thank you for your interest! We will contact you soon.');
      form.reset();
    });
  }

  // Image lazy loading
  const images = document.querySelectorAll('img');
  if ('loading' in HTMLImageElement.prototype) {
    images.forEach(img => {
      img.loading = 'lazy';
    });
  }

  // Mobile menu toggle
  const createMobileMenu = () => {
    if (window.innerWidth <= 768) {
      const nav = document.querySelector('nav');
      const burger = document.createElement('div');
      burger.className = 'burger';
      burger.innerHTML = '☰';
      burger.style.fontSize = '2rem';
      burger.style.cursor = 'pointer';
      
      burger.addEventListener('click', () => {
        const navLinks = document.querySelector('.nav-links');
        navLinks.style.display = navLinks.style.display === 'flex' ? 'none' : 'flex';
      });

      if (!document.querySelector('.burger')) {
        nav.appendChild(burger);
      }
    }
  };

  createMobileMenu();
  window.addEventListener('resize', createMobileMenu);
});
